org.apache.sling.jcr.contentparser

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.jcr.contentparser.ParseException

All Implemented Interfaces:
  Serializable

Deprecated.
since version 1.2.8 of the `org.apache.sling.jcr.contentparser` bundle; see `org.apache.sling.contentparser.api`

    @ProviderType
    public final class ParseException
    extends RuntimeException

Parsing exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParseException(String message)` Deprecated.
`ParseException(String message, Throwable cause)` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParseException

    public ParseException(String message)

Deprecated.

Parameters:
  `message` - Message

#### ParseException

    public ParseException(String message,
                          Throwable cause)

Deprecated.

Parameters:
  `message` - Message
  `cause` - Cause